#ifndef ENGINE_PLATFORM_PLATFORM_OBSERVER_H
#define ENGINE_PLATFORM_PLATFORM_OBSERVER_H

namespace eng {

class PlatformObserver {
 public:
  PlatformObserver() = default;
  virtual ~PlatformObserver() = default;

  virtual void OnWindowCreated() = 0;
  virtual void OnWindowDestroyed() = 0;
  virtual void OnWindowResized(int width, int height) = 0;
};

}  // namespace eng

#endif  // ENGINE_PLATFORM_PLATFORM_OBSERVER_H
